<?php

namespace App\Http\Requests\Admin\RoleManagement;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class UpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name' => [
                'required','string', 'max:255',
                Rule::unique('roles', 'name')->ignore($this->role->id)
            ],
            'permissions' => 'required|exists:permissions,id|array',
            'name_fa' => [
                'required','string', 'max:255',
                Rule::unique('roles', 'name_fa')->ignore($this->role->id)
            ],
        ];
    }
}
